#!/bin/bash

#SBATCH --job-name=myjob
#SBATCH -c 16
#SBATCH --time 01:00:00
#SBATCH -o /esarchive/scratch/erifarov/rpackages/startR-eva-r/dev-issue_onepoint-missing/test_nord3/startR-test-%J.out
#SBATCH -e /esarchive/scratch/erifarov/rpackages/startR-eva-r/dev-issue_onepoint-missing/test_nord3/startR-test-%J.err
#SBATCH --array=1-3

module load R

# Define an array of R script names
rscripts=("/esarchive/scratch/erifarov/rpackages/startR-eva-r/dev-issue_onepoint-missing/test_nord3/test_script_run1.R" "/esarchive/scratch/erifarov/rpackages/startR-eva-r/dev-issue_onepoint-missing/test_nord3/test_script_run2.R" "/esarchive/scratch/erifarov/rpackages/startR-eva-r/dev-issue_onepoint-missing/test_nord3/test_script_run3.R")

# Get the appropriate R script name for this job ID
rscript=${rscripts[$SLURM_ARRAY_TASK_ID-1]}

# Run the R script
Rscript $rscript